
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #446

MP3 length estimate inaccurate

May 21, 2014 03:35 - Anonymous

Status: Closed Start date: May 21, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/mpg123 Estimated time: 0.00 hour

Target version: 3.6   

Affects version: 3.5   

Description

On some mp3's (maybe also other formats) I get wrong track lengths displayed. It appears this happens with specific types of mp3

files, since when it happens, it happens for the whole Album.

For reproducibilty I have uploaded an mp3 file which is actually 3:15 min long but Audacious shows 3:30 min.

This happens independent of the OS.

History

#1 - May 26, 2014 17:26 - John Lindgren

- Subject changed from Wrong track length to MP3 length estimate inaccurate

- Category set to plugins/mpg123

- Status changed from New to Closed

- Target version set to 3.6

- % Done changed from 0 to 100

Without a Xing header, mpg123 is only estimating the length of the MP3 file.  In 3.6 there will be an option to read the entire MP3 file and calculate the

length exactly:

https://github.com/audacious-media-player/audacious-plugins/commit/ff079802f74e53cdccf20624089a36f1874916ba

Files

15 Slow Motion.7z.001 5 MB May 21, 2014 Anonymous

15 Slow Motion.7z.002 3.03 MB May 21, 2014 Anonymous
